const path = require('path');
const common = path.resolve(__dirname, '../baoan-common');
module.exports = {
  publicPath: `/${process.env.VUE_APP_ROUTER}`,
  outputDir: process.env.VUE_APP_ROUTER,
  productionSourceMap: false,
  configureWebpack: (config) => {
    Object.assign(config, {
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
          '@common': common,
        },
      },
    });
  },
  devServer: {
    port: '11201',
    proxy: {
      '/files': {
        target: 'http://baoan.fwedzgc.com:8090',
      },
      '/api/position': {
        target: 'http://106.12.161.200',
        changeOrigin: true,
        ws: false,
      },
      '/api/exam': {
        target: 'http://127.0.0.1:6104',
        changeOrigin: true,
        ws: false,
      },
      '/api': {
        target: 'http://baoan.fwedzgc.com:8090',
        changeOrigin: true,
        ws: false,
      },
    },
  },
};
